Package com.google.protobuf

## Interface GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage>

All Superinterfaces:
  `MessageLiteOrBuilder`

All Known Implementing Classes:
  `GeneratedMessageLite.ExtendableBuilder`, `GeneratedMessageLite.ExtendableMessage`

Enclosing class:
  GeneratedMessageLite

    public static interface GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageLite.ExtendableMessage>
    extends MessageLiteOrBuilder

Lite equivalent of `GeneratedMessage.ExtendableMessageOrBuilder`.

### Method Summary

All Methods Instance Methods Abstract Methods
`<Type> Type` `getExtension​(GeneratedMessageLite.GeneratedExtension<MessageType,​java.util.List<Type>> extension, int index)` Get one element of a repeated extension.
`<Type> Type` `getExtension​(GeneratedMessageLite.GeneratedExtension<MessageType,​Type> extension)` Get the value of an extension.
`<Type> int` `getExtensionCount​(GeneratedMessageLite.GeneratedExtension<MessageType,​java.util.List<Type>> extension)` Get the number of elements in a repeated extension.
`<Type> boolean` `hasExtension​(GeneratedMessageLite.GeneratedExtension<MessageType,​Type> extension)` Check if a singular extension is present.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

### Method Detail

#### hasExtension

    <Type> boolean hasExtension​(GeneratedMessageLite.GeneratedExtension<MessageType,​Type> extension)

Check if a singular extension is present.

#### getExtensionCount

    <Type> int getExtensionCount​(GeneratedMessageLite.GeneratedExtension<MessageType,​java.util.List<Type>> extension)

Get the number of elements in a repeated extension.

#### getExtension

    <Type> Type getExtension​(GeneratedMessageLite.GeneratedExtension<MessageType,​Type> extension)

Get the value of an extension.

#### getExtension

    <Type> Type getExtension​(GeneratedMessageLite.GeneratedExtension<MessageType,​java.util.List<Type>> extension,
                             int index)

Get one element of a repeated extension.